Subject: Re: bug#62272: Erroneous claim in grep man page

From: Jim Meyering <[email-masked]>
Date: Sun, 19 Mar 2023 18:54:32 -0700

tags notabug 62272
stop

On Sun, Mar 19, 2023 at 5:47 AM David Kra <[email-masked]> wrote:
> This is a request and further endorsement of a report from 2008, ending
> with https://lists.gnu.org/archive/html/bug-grep/2008-08/msg00002.html
>
> Request: Either add four words to the manpage or delete the entire
> sentence.
> ASIS: "In GNU grep there is no difference in available functionality
> between basic and extended syntaxes."
>
> TOBE: "Although the syntaxes differ, in GNU grep there is no difference in
> available functionality between basic and extended syntaxes."
>
> Reasoning: The user should not suffer for not realizing that "no difference
> in available functionality" does not imply "no difference in syntax."

Thanks, but that sentence already says there are two different
syntaxes: basic and extended.
Those are different names, which usually implies they denote different things.
So adding those four words at the beginning of the sentence would be
unnecessary and repetitive.

I'm marking this as done, but discussion may continue.